<?php

namespace App\Http\Controllers\Api;

use App\PhoneModel;
use App\Utils\ProvisionFileUtils;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Contracts\Filesystem\FileNotFoundException;

class PhoneModelProvisionFileController extends Controller
{
    public function __invoke($id)
    {
        $phoneModel = PhoneModel::with('brand')->findOrFail($id);
    
        try {
            return Storage::disk('base_templates')->get(strtolower($phoneModel->brand->name)
                .'/'.strtolower($phoneModel->model).'/'.'template.cfg');
        } catch (FileNotFoundException $e) {
            return response()->json(['message' => __('messages.provisioning.not_found')], 500);
        }
    }
}
