<?php

namespace App\Http\Controllers\Api;

use App\Template;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use Illuminate\Contracts\Filesystem\FileNotFoundException;

class TemplateProvisionFileController extends Controller
{
    public function __invoke($id)
    {
        $template = Template::with('model.brand')->find($id);
        
        try {
            return Storage::disk('provisioning')->get('/'.strtolower($template->model->brand->name)
            .'/'.strtolower($template->model->model).'/'.md5($template->id).'.cfg');
        
        } catch(FileNotFoundException $e) {
            return response()->json(['message' => __('messages.templates.file_not_found')], 500);
        }
    }
}
